# holzleitner_api.model.ScanEvent

## Load the model package
```dart
import 'package:holzleitner_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**action** | [**AuditAction**](AuditAction.md) |  | 
**actorCarId** | **String** | Fahrzeug, in dem der Scan gemacht wurde. Muss zum angemeldeten Account gehören. `None` ist erlaubt, schwächt aber den Audit-Trail. | [optional] 
**clientScanId** | **String** |  | 
**clientScannedAt** | [**DateTime**](DateTime.md) |  | 
**deliveryItemId** | **String** |  | 
**reason** | **String** | Pflicht bei `Hold` und `Remove`. Sonst ignoriert. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


